FMOD(3)

NAME
fmod, fmodf, fmodl - floating-point remainder functions

SYNOPSIS
#include <math.h>
double
fmod(double x, double y);
float
fmodf(float x, float y);
long double
fmodl(long double x, long double y);

DESCRIPTION
The fmod() function computes the floating-point remainder of x/ y. The fmodf() function is a single precision version of fmod(). The fmodl() function is an extended precision version of fmod().

RETURN VALUES
The fmod(), fmodf() and fmodl() functions return the value x-i*y, for some integer i such that, if y is non-zero, the result has the same sign as x and magnitude less than the magnitude of y. If y is zero, whether a domain error occurs or the fmod() function returns zero is implementation-defined.

SEE ALSO
remainder(3)

STANDARDS
The fmod() function conforms to ansiC.